Index Page wnelmd_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceBoolean wnelmd_c ( SpiceDouble    point,
                               SpiceCell    * window )

#### Abstract

       Determine whether a point is an element of a double precision
       window.

#### Required_Reading

       WINDOWS

#### Keywords

       WINDOWS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       point      I   Input point.
       window     I   Input window.

       The function returns SPICETRUE if point is an element of window.

#### Detailed_Input

       point       is a point, which may or may not be contained in
                   one of the intervals in window.

       window      is a CSPICE window containing zero or more intervals.

                   window must be declared as a double precision SpiceCell.

#### Detailed_Output

       The function returns SPICETRUE if the input point is an element of
       the input window---that is, if

          a(i)  <  point  <  b(i)
                -         -

       for some interval [ a(i), b(i) ] in window---and returns SPICEFALSE
       otherwise.

#### Parameters

       None.

#### Exceptions

       1) If the input window does not have double precision type,
          the error SPICE(TYPEMISMATCH) is signaled.

#### Files

       None.

#### Particulars

       None.

#### Examples

       Let a contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]

       Then the following expressions take the value SPICETRUE

          wnelmd_c ( 1.0, &window );
          wnelmd_c ( 9.0, &window );

       and the following expressions take the value SPICEFALSE

          wnelmd_c (  0.0, &window );
          wnelmd_c ( 13.0, &window );
          wnelmd_c ( 29.0, &window );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.0, 29-JUL-2002 (NJB) (HAN) (WLT) (IMU)

#### Index_Entries

       element of a d.p. window

#### Link to routine wnelmd_c source file wnelmd_c.c

    Wed Apr  5 17:54:47 2017